## com.ibm.lab.soln.interopedit
Class InteropeditPlugin

    java.lang.Object
      |
      +--org.eclipse.core.runtime.Plugin
            |
            +--org.eclipse.ui.plugin.AbstractUIPlugin
                  |
                  +--com.ibm.lab.soln.interopedit.InteropeditPlugin

public class InteropeditPlugin
extends org.eclipse.ui.plugin.AbstractUIPlugin

The main plugin class

Fields inherited from class org.eclipse.core.runtime.Plugin
`PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`InteropeditPlugin(org.eclipse.core.runtime.IPluginDescriptor descriptor)` The constructor.

Method Summary
`static InteropeditPlugin` | `getDefault()` Returns the shared instance.
`java.util.ResourceBundle` | `getResourceBundle()` Returns the plugin's resource bundle.
`static java.lang.String` | `getResourceString(java.lang.String key)` Returns the string from the plugin's resource bundle, or 'key' if not found.
`static org.eclipse.core.resources.IWorkspace` | `getWorkspace()` Returns the workspace instance.
`static void` | `logError(java.lang.String message, java.lang.Throwable exception)` Log an error to the ILog for this plugin

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getDescriptor, getLog, getPluginPreferences, getStateLocation, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InteropeditPlugin

    public InteropeditPlugin(org.eclipse.core.runtime.IPluginDescriptor descriptor)

  The constructor.

Method Detail

### getDefault

    public static InteropeditPlugin getDefault()

  Returns the shared instance.

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

  Returns the plugin's resource bundle.

### getResourceString

    public static java.lang.String getResourceString(java.lang.String key)

  Returns the string from the plugin's resource bundle, or 'key' if not found.

### getWorkspace

    public static org.eclipse.core.resources.IWorkspace getWorkspace()

  Returns the workspace instance.

### logError

    public static void logError(java.lang.String message,
                                java.lang.Throwable exception)

  Log an error to the ILog for this plugin
  Parameters:
    `message` - the localized error message text
    `exception` - the associated exception, or null